import { defineMessages } from 'react-intl';

export default defineMessages({
  'dlm.app.title': { id: 'dlm.app.title' },
  'upload.artefact.success': { id: 'upload.artefact.success' },
  'upload.artefact.error': { id: 'upload.artefact.error' },
  'upload.artefact.warning': { id: 'upload.artefact.warning' },
  'upload.data.success': { id: 'upload.data.success' },
  'upload.data.error': { id: 'upload.data.error' },
  'upload.data.warning': { id: 'upload.data.warning' },
  'upload.data.help.sdmx': { id: 'upload.data.help.sdmx' },
  'upload.mode.EXCEL_EDD': { id: 'upload.mode.EXCEL_EDD' },
  'upload.mode.SDMX_CSV': { id: 'upload.mode.SDMX_CSV' },

  'upload.path.placeholder': { id: 'upload.path.placeholder' },
  'artefact.delete.error': { id: 'artefact.delete.error' },
  'artefact.delete.success': { id: 'artefact.delete.success' },
  'artefact.cleanup.error': { id: 'artefact.cleanup.error' },
  'artefact.cleanup.success': { id: 'artefact.cleanup.success' },

  'users.none': { id: 'users.none' },
  logout: { id: 'logout' },

  'transfer.destination': { id: 'transfer.destination' },
  'transfer.dataquery': { id: 'transfer.dataquery' },
  'transfer.dataquery.info': { id: 'transfer.dataquery.info' },
  'transfer.dataquery.placeholder': { id: 'transfer.dataquery.placeholder' },
  'transfer.apply': { id: 'transfer.apply' },
  'transfer.cancel': { id: 'transfer.cancel' },
  'transfer.artefact.type': { id: 'transfer.artefact.type' },
  'transfer.artefact.id': { id: 'transfer.artefact.id' },
  'transfer.artefact.name': { id: 'transfer.artefact.name' },
  'transfer.artefact.source': { id: 'transfer.artefact.source' },
  'transfer.artefact': { id: 'transfer.artefact' },
  'transfer.artefact.success': { id: 'transfer.artefact.success' },
  'transfer.artefact.error': { id: 'transfer.artefact.error' },
  'transfer.artefact.warning': { id: 'transfer.artefact.warning' },
  'transfer.data': { id: 'transfer.data' },
  'transfer.data.success': { id: 'transfer.data.success' },
  'transfer.data.error': { id: 'transfer.data.error' },
  'transfer.data.warning': { id: 'transfer.data.warning' },

  'view.artefact.relatives': { id: 'view.artefact.relatives' },
  'artefact.relative.non.selectable': {
    id: 'artefact.relative.non.selectable',
  },
  'artefact.relative.non.authorized': {
    id: 'artefact.relative.non.authorized',
  },
  'artefact.relative.dependency': { id: 'artefact.relative.dependency' },
  'artefact.relative.child.non.deletable': {
    id: 'artefact.relative.child.non.deletable',
  },
  'artefact.relative.msd.dsds': { id: 'artefact.relative.msd.dsds' },
  'artefact.relative.dsd.warning': { id: 'artefact.relative.dsd.warning' },
  'artefact.relative.msd.missing.warning': {
    id: 'artefact.relative.msd.missing.warning',
  },

  'delete.without.relatives': { id: 'delete.without.relatives' },
  'delete.with.relatives': { id: 'delete.without.relatives' },

  'artefact.relatives': { id: 'artefact.relatives' },
  'artefact.delete.relatives': { id: 'artefact.delete.relatives' },
  'artefact.relatives.error': { id: 'artefact.relatives.error' },
  'artefact.relatives.error.children': {
    id: 'artefact.relatives.error.children',
  },
  'artefact.relatives.error.parents': {
    id: 'artefact.relatives.error.parents',
  },
  'artefact.relatives.error.msd.ref': {
    id: 'artefact.relatives.error.msd.ref',
  },
  'artefact.relatives.deselect.all': { id: 'artefact.relatives.deselect.all' },
  'artefact.relatives.select.all': { id: 'artefact.relatives.select.all' },

  'categorise.artefact': { id: 'categorise.artefact' },
  'action.categorise': { id: 'action.categorise' },
  'artefact.categorising': { id: 'artefact.categorising' },
  'artefact.categorisation.success': { id: 'artefact.categorisation.success' },
  'artefact.categorisation.error': { id: 'artefact.categorisation.error' },
  'artefact.categorisation.warning': { id: 'artefact.categorisation.warning' },

  'transfer-ws.status.401': { id: 'transfer-ws.status.401' },
  'transfer-ws.status.403': { id: 'transfer-ws.status.403' },
  'transfer-ws.status.404': { id: 'transfer-ws.status.404' },

  'artefact.type.any': { id: 'artefact.type.any' },
  'artefact.type.agencyscheme': { id: 'artefact.type.agencyscheme' },
  'artefact.type.attachmentconstraint': {
    id: 'artefact.type.attachmentconstraint',
  },
  'artefact.type.categoryscheme': { id: 'artefact.type.categoryscheme' },
  'artefact.type.categorisation': { id: 'artefact.type.categorisation' },
  'artefact.type.codelist': { id: 'artefact.type.codelist' },
  'artefact.type.conceptscheme': { id: 'artefact.type.conceptscheme' },
  'artefact.type.contentconstraint': { id: 'artefact.type.contentconstraint' },
  'artefact.type.dataconsumerscheme': {
    id: 'artefact.type.dataconsumerscheme',
  },
  'artefact.type.dataproviderscheme': {
    id: 'artefact.type.dataproviderscheme',
  },
  'artefact.type.datastructure': { id: 'artefact.type.datastructure' },
  'artefact.type.dataflow': { id: 'artefact.type.dataflow' },
  'artefact.type.hierarchicalcodelist': {
    id: 'artefact.type.hierarchicalcodelist',
  },
  'artefact.type.metadatastructure': { id: 'artefact.type.metadatastructure' },
  'artefact.type.metadataflow': { id: 'artefact.type.metadataflow' },
  'artefact.type.organisationscheme': {
    id: 'artefact.type.organisationscheme',
  },
  'artefact.type.organisationunitscheme': {
    id: 'artefact.type.organisationunitscheme',
  },
  'artefact.type.process': { id: 'artefact.type.process' },
  'artefact.type.provisionagreement': {
    id: 'artefact.type.provisionagreement',
  },
  'artefact.type.reportingtaxonomy': { id: 'artefact.type.reportingtaxonomy' },
  'artefact.type.structureset': { id: 'artefact.type.structureset' },

  en: { id: 'en' },
  it: { id: 'it' },
  fr: { id: 'fr' },
  ar: { id: 'ar' },
  es: { id: 'es' },
  km: { id: 'km' },
  nl: { id: 'nl' },
  de: { id: 'de' },
  th: { id: 'th' },
  ru: { id: 'ru' },
  zh: { id: 'zh' },

  'route.upload.structure': { id: 'route.upload.structure' },
  'route.upload.data': { id: 'route.upload.data' },
  'route.dump': { id: 'route.dump' },
  'route.my.rights': { id: 'route.my.rights' },
  'route.all.rights': { id: 'route.all.rights' },
  'route.logs': { id: 'route.logs' },

  'artefacts.filters.version.all': { id: 'artefacts.filters.version.all' },
  'artefacts.filters.version.latest': {
    id: 'artefacts.filters.version.latest',
  },

  'artefacts.status': { id: 'artefacts.status' },

  'artefact.type': { id: 'artefact.type' },
  'artefact.label': { id: 'artefact.label' },
  'artefact.code': { id: 'artefact.code' },
  'artefact.version': { id: 'artefact.version' },
  'artefact.is.final': { id: 'artefact.is.final' },
  'artefact.owner': { id: 'artefact.owner' },
  'artefact.delete': { id: 'artefact.delete' },

  'export.artefact': { id: 'export.artefact' },

  'spotlight.placeholder': { id: 'spotlight.placeholder' },

  'action.add': { id: 'action.add' },
  'action.edit': { id: 'action.edit' },
  'action.cancel': { id: 'action.cancel' },
  'action.close': { id: 'action.close' },
  'action.delete': { id: 'action.delete' },
  'action.link': { id: 'action.link' },
  'action.select': { id: 'action.select' },
  'action.save': { id: 'action.save' },
  'action.saving': { id: 'action.saving' },

  'link.msd': { id: 'link.msd' },
  'is.linking.msd': { id: 'is.linking.msd' },
  'link.msd.success': { id: 'link.msd.success' },
  'link.msd.error': { id: 'link.msd.error' },
  'link.msd.error.already.linked': { id: 'link.msd.error.already.linked' },

  'is.initializing.dfs': { id: 'is.initializing.dfs' },
  'init.dfs.success': { id: 'init.dfs.success' },
  'init.dfs.warning': { id: 'init.dfs.warning' },
  'init.dfs.error': { id: 'init.dfs.error' },

  'sfs.index': { id: 'sfs.index' },
  'sfs.is.indexing': { id: 'sfs.is.indexing' },
  'sfs.index.success': { id: 'sfs.index.success' },
  'sfs.index.success.message': { id: 'sfs.index.success.message' },
  'sfs.index.error': { id: 'sfs.index.error' },
  'sfs.index.unauthorized': { id: 'sfs.index.unauthorized' },

  'data.validation.menu': { id: 'data.validation.menu' },
  'data.validation.menu.dialog': { id: 'data.validation.menu.dialog' },
  'data.validations': { id: 'data.validations' },
  'data.validation.default': { id: 'data.validation.default' },
  'data.validation.advanced': { id: 'data.validation.advanced' },
  'data.validation.nochange': { id: 'data.validation.nochange' },
  'data.validation.info': { id: 'data.validation.info' },
  'pit.management': { id: 'pit.management' },
  'pit.management.source': { id: 'pit.management.source' },
  'pit.management.target': { id: 'pit.management.target' },
  'pit.active': { id: 'pit.active' },
  'pit.inactive': { id: 'pit.inactive' },
  'pit.active.target.disclaimer': { id: 'pit.active.target.disclaimer' },
  'pit.target.date': { id: 'pit.target.date' },
  'pit.restoration': { id: 'pit.restoration' },
  'pit.transfer.info': { id: 'pit.transfer.info' },
  'pit.upload.info': { id: 'pit.upload.info' },
  'content.type': { id: 'content.type' },
  'content.both': { id: 'content.both' },
  'content.data': { id: 'content.data' },
  'content.metadata': { id: 'content.metadata' },

  'export.data.metadata': { id: 'export.data.metadata' },
  'export.data': { id: 'export.data' },
  'export.metadata': { id: 'export.metadata' },
  'export.data.metadata.csv': { id: 'export.data.metadata.csv' },
  'export.data.csv': { id: 'export.data.csv' },
  'export.data.xml': { id: 'export.data.xml' },
  'export.metadata.csv': { id: 'export.metadata.csv' },
  'export.dataquery.info': { id: 'export.dataquery.info' },
  'export.dataquery.metadata.invalid': {
    id: 'export.dataquery.metadata.invalid',
  },
  'export.no.data': { id: 'export.no.data' },
  'export.no.metadata': { id: 'export.no.metadata' },

  'activate.dataflow': { id: 'activate.dataflow' },
  'activate.dataflow.help': { id: 'activate.dataflow.help' },
  'activate.dataflow.is.activating': { id: 'activate.dataflow.is.activating' },
  'activate.dataflow.success': { id: 'activate.dataflow.success' },
  'activate.dataflow.error': { id: 'activate.dataflow.error' },

  'permission.1': { id: 'permission.1' },
  'permission.1.definition': { id: 'permission.1.definition' },
  'permission.2': { id: 'permission.2' },
  'permission.2.definition': { id: 'permission.2.definition' },
  'permission.4': { id: 'permission.4' },
  'permission.4.definition': { id: 'permission.4.definition' },
  'permission.8': { id: 'permission.8' },
  'permission.8.definition': { id: 'permission.8.definition' },
  'permission.16': { id: 'permission.16' },
  'permission.16.definition': { id: 'permission.16.definition' },
  'permission.32': { id: 'permission.32' },
  'permission.32.definition': { id: 'permission.32.definition' },
  'permission.64': { id: 'permission.64' },
  'permission.64.definition': { id: 'permission.64.definition' },
  'permission.128': { id: 'permission.128' },
  'permission.128.definition': { id: 'permission.128.definition' },
  'permission.256': { id: 'permission.256' },
  'permission.256.definition': { id: 'permission.256.definition' },
  'permission.512': { id: 'permission.512' },
  'permission.512.definition': { id: 'permission.512.definition' },
  'permission.1024': { id: 'permission.1024' },
  'permission.1024.definition': { id: 'permission.1024.definition' },
  'permission.2048': { id: 'permission.2048' },
  'permission.2048.definition': { id: 'permission.2048.definition' },

  'user.right.add': { id: 'user.right.add' },
  'user.right.add.success': { id: 'user.right.add.success' },
  'user.right.add.error': { id: 'user.right.add.error' },
  'user.right.edit': { id: 'user.right.edit' },
  'user.right.edit.success': { id: 'user.right.edit.success' },
  'user.right.edit.error': { id: 'user.right.edit.error' },
  'user.right.delete': { id: 'user.right.delete' },
  'user.right.delete.success': { id: 'user.right.delete.success' },
  'user.right.delete.error': { id: 'user.right.delete.error' },
  'user.right.delete.confirmation': { id: 'user.right.delete.confirmation' },
  'user.right.view': { id: 'user.right.view' },

  'user.rights.count': { id: 'user.rights.count' },

  'user.right.id': { id: 'user.right.id' },
  'user.right.user': { id: 'user.right.user' },
  'user.right.group': { id: 'user.right.group' },
  'user.right.space': { id: 'user.right.space' },
  'user.right.artefact.type': { id: 'user.right.artefact.type' },
  'user.right.artefact.agency': { id: 'user.right.artefact.agency' },
  'user.right.artefact.id': { id: 'user.right.artefact.id' },
  'user.right.artefact.version': { id: 'user.right.artefact.version' },
  'user.right.permission': { id: 'user.right.permission' },
  'user.right.permission.definition': {
    id: 'user.right.permission.definition',
  },
  'user.right.actions': { id: 'user.right.actions' },
  'user.right.scope.any': { id: 'user.right.scope.any' },

  'user.right.permissions': { id: 'user.right.permissions' },
  'user.right.granular.permissions': { id: 'user.right.granular.permissions' },
  'user.right.group.permissions': { id: 'user.right.group.permissions' },
  'user.right.custom.permissions': { id: 'user.right.custom.permissions' },
  'user.right.custom.permissions.definition': {
    id: 'user.right.custom.permissions.definition',
  },

  'user.right.filter.user': { id: 'user.right.filter.user' },
  'user.right.filter.space': { id: 'user.right.filter.space' },
  'user.right.filter.artefact.type': { id: 'user.right.filter.artefact.type' },
  'user.right.filter.artefact.agency': {
    id: 'user.right.filter.artefact.agency',
  },
  'user.right.filter.artefact.id': { id: 'user.right.filter.artefact.id' },
  'user.right.filter.artefact.version': {
    id: 'user.right.filter.artefact.version',
  },
  'user.right.filter.permission': { id: 'user.right.filter.permission' },

  'logs.filters.action.data change': { id: 'logs.filters.action.data change' },
  'logs.filters.action.maintenance': { id: 'logs.filters.action.maintenance' },

  'logs.filters.execution.outcome.Success': {
    id: 'logs.filters.execution.outcome.Success',
  },
  'logs.filters.execution.outcome.Warning': {
    id: 'logs.filters.execution.outcome.Warning',
  },
  'logs.filters.execution.outcome.Error': {
    id: 'logs.filters.execution.outcome.Error',
  },
  'logs.filters.execution.outcome.None': {
    id: 'logs.filters.execution.outcome.None',
  },

  'logs.filters.execution.status.Queued': {
    id: 'logs.filters.execution.status.Queued',
  },
  'logs.filters.execution.status.InProgress': {
    id: 'logs.filters.execution.status.InProgress',
  },
  'logs.filters.execution.status.Completed': {
    id: 'logs.filters.execution.status.Completed',
  },
  'logs.filters.execution.status.TimedOut': {
    id: 'logs.filters.execution.status.TimedOut',
  },
  'logs.filters.execution.status.Canceled': {
    id: 'logs.filters.execution.status.Canceled',
  },

  'logs.list.space': { id: 'logs.list.space' },
  'logs.list.request': { id: 'logs.list.request' },
  'logs.list.action': { id: 'logs.list.action' },
  'logs.list.user': { id: 'logs.list.user' },
  'logs.list.source': { id: 'logs.list.source' },
  'logs.list.structure': { id: 'logs.list.structure' },
  'logs.list.submissionTime': { id: 'logs.list.submissionTime' },
  'logs.list.execution.start': { id: 'logs.list.execution.start' },
  'logs.list.execution.end': { id: 'logs.list.execution.end' },
  'logs.list.execution.status': { id: 'logs.list.execution.status' },
  'logs.list.execution.outcome': { id: 'logs.list.execution.outcome' },
  'logs.list.blank.no.space': { id: 'logs.list.blank.no.space' },
  'logs.list.blank.no.log': { id: 'logs.list.blank.no.log' },
  'logs.list.status': { id: 'logs.list.status' },
  'fmr.create.structure': { id: 'fmr.create.structure' },
  'fmr.edit.structure': { id: 'fmr.edit.structure' },
  'fmr.view.structure': { id: 'fmr.view.structure' },
  'fmr.edit.annotations': { id: 'fmr.edit.annotations' },
  'fmr.more.menu': { id: 'fmr.more.menu' },

  'resources.manage': { id: 'resources.manage' },
  'resource.add': { id: 'resource.add' },
  'resource.untitled': { id: 'resource.untitled' },
  'resource.labels': { id: 'resource.labels' },
  'resource.labels.add': { id: 'resource.labels.add' },
  'resource.labels.empty': { id: 'resource.labels.empty' },
  'resource.labels.missing.locales': { id: 'resource.labels.missing.locales' },
  'resource.links': { id: 'resource.links' },
  'resource.links.add': { id: 'resource.links.add' },
  'resource.links.empty': { id: 'resource.links.empty' },
  'resource.links.missing.locales': { id: 'resource.links.missing.locales' },
  'resource.icons': { id: 'resource.icons' },
  'resource.icons.add': { id: 'resource.icons.add' },
  'resource.icons.empty': { id: 'resource.icons.empty' },
  'resource.icons.help': { id: 'resource.icons.help' },
  'resource.field.all.locales': { id: 'resource.field.all.locales' },
  'resources.error.log': { id: 'resources.error.log' },
  'resources.success.log': { id: 'resources.success.log' },
});
